#ifndef _CONTRASTSTRETCH_H
#define _CONTRASTSTRETCH_H

#include "bitmap.h"

/**********************************************************************************************
 * This method will stretch the contrast of a given image.  It first converts the image to HSI format,
 * then adjusts the convert a pixel from RGB to HSI representation.  The intensity will then be 
 * stretched over the range provided, and the image will then be converted back to RGB coordinates.
 *
 * @param  struct BitMap *image This is a pointer to the image that is to be converted.
 * @param double desigedMin - This is the minimum intensity that should be in the image.
 * @param double desiredMax - This si the maximum intensity that should be in the given image.
 * @return There is no return from this method.
 **********************************************************************************************/
void stretchContrast(struct BitMap *image, double desiredMin, double desiredMax);


#endif