#ifndef _EDGEDETECTOR_H
#define _EDGEDETECTOR_H

#include "bitmap.h"

void SobelFilter (Pixel *pixels, Pixel*retVal);
struct BitMap *detectEdges(struct BitMap *srcimage);
struct BitMap *detectColorEdges(struct BitMap *srcimage);

/**********************************************************************************************
 * This function will detect changes in color in a given image.  It does so by using a sobel filter across the hue
 * aspects of the image.  
 *
 * @param struct BitMap *srcimage This is the source image that is to be modified.
 **********************************************************************************************/
struct BitMap *detectIntensityEdges(struct BitMap *srcimage);

#endif