#include "bitmap.h"

/**********************************************************************************************
 * This method will convert an RGB color image into grayscale.  Colors will be represented as
 * 03R+.59G+.11B.
 *
 * @param struct BitMap *image This is the image that is to be converted to grayscale.
 * @return There is no return from this method.
 **********************************************************************************************/
void correctImageToGrayscale(struct BitMap *image)
{
  int i, j;
  // Convert the pixels to grayscale
   for(i=0; i < image->height; i++) {
      for(j=0; j < image->width; j++) {  
		 Pixel* p = getPixel(image, j, i);
		 
		 unsigned char colorValue = (unsigned char)(0.3 * p->Red + 0.59 * p->Green + 0.11 * p->Blue);
		 p->Red = colorValue;
		 p->Green = colorValue;
		 p->Blue = colorValue;
      }
   }
}
